Option Explicit On 
Option Strict On
Imports System.IO

Public Class TSHelp
	Inherits System.Windows.Forms.Form

	Private strIE As String = "\Program Files\Internet Explorer\IExplore.exe"

#Region " Windows Form Designer generated code "

	Public Sub New()
		MyBase.New()

		'This call is required by the Windows Form Designer.
		InitializeComponent()

		'Add any initialization after the InitializeComponent() call

	End Sub

	'Form overrides dispose to clean up the component list.
	Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			If Not (components Is Nothing) Then
				components.Dispose()
			End If
		End If
		MyBase.Dispose(disposing)
	End Sub

	'Required by the Windows Form Designer
	Private components As System.ComponentModel.IContainer

	'NOTE: The following procedure is required by the Windows Form Designer
	'It can be modified using the Windows Form Designer.  
	'Do not modify it using the code editor.
	Friend WithEvents pbxCC As System.Windows.Forms.PictureBox
	Friend WithEvents txtAbout As System.Windows.Forms.TextBox
	Friend WithEvents btnClose As System.Windows.Forms.Button
	<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
		Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(TSHelp))
		Me.txtAbout = New System.Windows.Forms.TextBox
		Me.pbxCC = New System.Windows.Forms.PictureBox
		Me.btnClose = New System.Windows.Forms.Button
		Me.SuspendLayout()
		'
		'txtAbout
		'
		Me.txtAbout.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.txtAbout.Cursor = System.Windows.Forms.Cursors.Arrow
		Me.txtAbout.Location = New System.Drawing.Point(8, 8)
		Me.txtAbout.Multiline = True
		Me.txtAbout.Name = "txtAbout"
		Me.txtAbout.ReadOnly = True
		Me.txtAbout.Size = New System.Drawing.Size(344, 328)
		Me.txtAbout.TabIndex = 0
		Me.txtAbout.Text = ""
		'
		'pbxCC
		'
		Me.pbxCC.Image = CType(resources.GetObject("pbxCC.Image"), System.Drawing.Image)
		Me.pbxCC.Location = New System.Drawing.Point(136, 344)
		Me.pbxCC.Name = "pbxCC"
		Me.pbxCC.Size = New System.Drawing.Size(89, 34)
		Me.pbxCC.TabIndex = 1
		Me.pbxCC.TabStop = False
		'
		'btnClose
		'
		Me.btnClose.DialogResult = System.Windows.Forms.DialogResult.Cancel
		Me.btnClose.FlatStyle = System.Windows.Forms.FlatStyle.System
		Me.btnClose.Location = New System.Drawing.Point(144, 392)
		Me.btnClose.Name = "btnClose"
		Me.btnClose.Size = New System.Drawing.Size(72, 24)
		Me.btnClose.TabIndex = 2
		Me.btnClose.Text = "&Close"
		'
		'TSHelp
		'
		Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
		Me.CancelButton = Me.btnClose
		Me.ClientSize = New System.Drawing.Size(362, 424)
		Me.Controls.Add(Me.btnClose)
		Me.Controls.Add(Me.pbxCC)
		Me.Controls.Add(Me.txtAbout)
		Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
		Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
		Me.MaximizeBox = False
		Me.MinimizeBox = False
		Me.Name = "TSHelp"
		Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
		Me.Text = "About the TerraService Client"
		Me.ResumeLayout(False)

	End Sub

#End Region

	Private Sub TSHelp_Load(ByVal sender As Object, _
	  ByVal e As System.EventArgs) Handles MyBase.Load
		'Display the text
		Dim strText As String = "This application is a Web service client for " + _
		 "Microsoft's TerraServer-USA database. Images are courtesy of the U.S." + _
		 "Geological Survey. " + vbCrLf + vbCrLf
		strText += "You can select aerial photographs or scanned topographic " + _
		 "maps for seven U.S. cities from the Cities menu. " + _
		 "The default scale for photos and topo maps is 16 meters per pixel " + _
		 "(m/px), but you can select scales from 1 m/px to 256 m/px for photos " + _
		 " or 2 m/px to 256 m/px for topo maps." + vbCrLf + vbCrLf
		strText += "To select other cities or points of interest, choose " + _
		 "Places List | New Selection and type the name and state in the text boxes." + vbCrLf + vbCrLf
		strText += "Right click the form to open a dialog that displays image metrics."
		strText += vbCrLf + vbCrLf + "Choose File | Print to print the image. " + _
		 "You also can save the current image in JPEG, PNG, " + _
		  "GIF, or BMP format, but you can open saved JPEG images only." + vbCrLf + vbCrLf
		strText += "Some of the source code for this project is based on Jeff " + _
		"Prosise's ""CityView App: Build Web Service Clients Quickly and Easily with C#""" + _
		"article in the Wicked Code section of ""MSDN Magazine"" (April 2001 issue) " + _
		"and sample code from the TerraServer-USA Web Services site."

		strText += vbCrLf + vbCrLf + "Original source code copyright (c) 2004 by Roger Jennings. " + _
		"Some rights reserved. "
		strText += "(The original parts of this work are licensed under the Creative Commons " + _
		"Attribution License.)"
		txtAbout.Text = strText
		If File.Exists(strIE) Then
			pbxCC.BorderStyle = BorderStyle.FixedSingle
		Else
			pbxCC.BorderStyle = BorderStyle.None
		End If
	End Sub

	Private Sub TSHelp_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Activated
		btnClose.Focus()
	End Sub

	Private Sub btnClose_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnClose.Click
		Me.Hide()
	End Sub

	Private Sub pbxCC_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles pbxCC.Click
		If File.Exists(strIE) Then
			'Link to license
			Dim strMsg As String = "Display Creative Commons Attribution license?"
			If MsgBox(strMsg, MsgBoxStyle.Question Or MsgBoxStyle.YesNo, "Creative Commons License") = MsgBoxResult.Yes Then
				Shell(strIE + " http://creativecommons.org/licenses/by/1.0/", _
				 AppWinStyle.NormalFocus)
			End If
		End If
	End Sub

	Private Sub TSHelp_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
		'Don't dispose the form
		Me.Hide()
		e.Cancel = True
	End Sub
End Class
